# .NET 5.0 Ubuntu 20.04
image: mcr.microsoft.com/dotnet/sdk:5.0-focal

variables:
  GIT_SUBMODULE_STRATEGY: recursive

test:
  stage: test
  before_script:
    - apt update
    - apt install -y xsltproc python3 python3-pip
    - python3 -m pip install grpcio grpcio-tools zeroconf
    - sh setup.sh
  script:
    - python3 run.py
  artifacts:
    paths:
      - server_out.log
